# Claunia.PropertyList.NSString

plist-cil : Claunia.PropertyList Namespace

# NSString Class

A NSString contains a string.

## Syntax

public class NSString : NSObject, IComparable

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: Claunia.PropertyList
Assembly: plist-cil (in plist-cil.dll)
Assembly Versions: 1.13.0.0, 1.14.0.0

## Members

See Also: Inherited members from NSObject.

## Public Constructors

| NSString (string) | Creates a NSString from a string.
| NSString (byte[], string) | Creates a NSString from its binary representation.

## Public Methods

Append (NSString)

> Appends a string to this string.

Append (string)

> Appends a string to this string.

CompareTo (object) : int

> Compares the current Claunia.PropertyList.NSString to the specified object.

override

Equals (NSObject) : bool

> Determines whether the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSString.

abstract

Equals (NSObject) : bool

> Determines if the specific NSObject is the same as the NSObject overriding this method. (Inherited from NSObject.)

override

Equals (object) : bool

> Determines whether the specified object is equal to the current Claunia.PropertyList.NSString.

GetContent () : string

> Gets this strings content.

override

GetHashCode () : int

> Serves as a hash function for a Claunia.PropertyList.NSString object.

Prepend (NSString)

> Prepends a string to this string.

Prepend (string)

> Prepends a string to this string.

SetContent (string)

> Sets the contents of this string.

ToObject () : object

> Converts this NSObject into an equivalent object of the .NET Runtime Environment.

> Claunia.PropertyList.NSArray objects are converted to arrays.

> Claunia.PropertyList.NSDictionary objects are converted to objects extending the Dictionary`2 class.

> Claunia.PropertyList.NSSet objects are converted to objects extending the List`1 class.

> Claunia.PropertyList.NSNumber objects are converted to primitive number values (int, long, double or bool).

> Claunia.PropertyList.NSString objects are converted to string objects.

> Claunia.PropertyList.NSData objects are converted to byte arrays.

> Claunia.PropertyList.NSDate objects are converted to DateTime objects.

> Claunia.PropertyList.UID objects are converted to byte arrays.

> (Inherited from NSObject.)

override

ToString () : string

> The textual representation of this NSString.

ToXmlPropertyList () : string

> Generates a valid XML property list including headers using this object as root. (Inherited from NSObject.)

## Member Details

### NSString Constructor

> Creates a NSString from a string.

> ## Syntax

> public NSString (string text)

> #### Parameters

> > text
> >   The string that will be contained in the NSString.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### NSString Constructor

> Creates a NSString from its binary representation.

> ## Syntax

> public NSString (byte[] bytes, string encoding)

> #### Parameters

> > bytes
> >   The binary representation.
> > encoding
> >   The encoding of the binary representation, the name of a supported charset.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > ArgumentException | The encoding charset is invalid or not supported by the underlying platform.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Append Method

> Appends a string to this string.

> ## Syntax

> public void Append (NSString s)

> #### Parameters

> > s
> >   The string to append.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Append Method

> Appends a string to this string.

> ## Syntax

> public void Append (string s)

> #### Parameters

> > s
> >   The string to append.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### CompareTo Method

> Compares the current Claunia.PropertyList.NSString to the specified object.

> ## Syntax

> public int CompareTo (object o)

> #### Parameters

> > o
> >   Object to compare to the current Claunia.PropertyList.NSString.

> #### Returns

> > A 32-bit signed integer that indicates the lexical relationship between the two comparands.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Equals Method

> Determines whether the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSString.

> ## Syntax

> public override bool Equals (NSObject obj)

> #### Parameters

> > obj
> >   The Claunia.PropertyList.NSObject to compare with the current Claunia.PropertyList.NSString.

> #### Returns

> > `true` if the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSString; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Equals Method

> Determines whether the specified object is equal to the current Claunia.PropertyList.NSString.

> ## Syntax

> public override bool Equals (object obj)

> #### Parameters

> > obj
> >   The object to compare with the current Claunia.PropertyList.NSString.

> #### Returns

> > `true` if the specified object is equal to the current Claunia.PropertyList.NSString; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### GetContent Method

> Gets this strings content.

> ## Syntax

> public string GetContent ()

> #### Returns

> > This NSString as .NET string object.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### GetHashCode Method

> Serves as a hash function for a Claunia.PropertyList.NSString object.

> ## Syntax

> public override int GetHashCode ()

> #### Returns

> > A hash code for this instance that is suitable for use in hashing algorithms and data structures such as a hash table.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Prepend Method

> Prepends a string to this string.

> ## Syntax

> public void Prepend (NSString s)

> #### Parameters

> > s
> >   The string to prepend.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Prepend Method

> Prepends a string to this string.

> ## Syntax

> public void Prepend (string s)

> #### Parameters

> > s
> >   The string to prepend.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### SetContent Method

> Sets the contents of this string.

> ## Syntax

> public void SetContent (string c)

> #### Parameters

> > c
> >   The new content of this string object.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ToString Method

> The textual representation of this NSString.

> ## Syntax

> public override string ToString ()

> #### Returns

> > The NSString's contents.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0